Bug 441306 - (CVE-2008-1679) CVE-2008-1679 python: imageop module integer overflows
CVE-2008-1679 python: imageop module integer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080403,p...
: Security
Depends On: 486114 486329 486330 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 10:32 EDT by Tomas Hoger
Modified: 2016-03-04 06:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-07 10:32:12 EDT
David Remahl of Apple reported, that the patch used to address multiple integer
overflows in python's imageop module (CVE-2007-4965) did not completely address
all overflow cases.

Additional test cases were provided as additional comment:

  http://bugs.python.org/msg64682

in upstream bug report used to track CVE-2007-4965:

  http://bugs.python.org/issue1179

Red Hat bug used to track CVE-2007-4965: bug #295971

Acknowledgements:

Red Hat would like to thank David Remahl of the Apple Product Security team
for responsibly reporting these issues.
Comment 2 Tomas Hoger 2008-04-08 02:41:03 EDT
Patch to address this issue in upstream bug report:

  http://bugs.python.org/file9975/python-2.5-int-overflow-2.patch
Comment 3 Jan Lieskovsky 2008-10-30 10:45:47 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 7 errata-xmlrpc 2009-07-27 05:35:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html
Comment 8 errata-xmlrpc 2009-07-27 05:37:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1178 https://rhn.redhat.com/errata/RHSA-2009-1178.html

Note You need to log in before you can comment on or make changes to this bug.